For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SDKsHelp CenterLog inSign up
    • Overview
  • Getting Started
    • API Mechanics
    • Quickstart
  • Guides
    • Communications API
    • Troubleshooting
    • Events
    • Changelog
  • Comms API Reference
      • Summary
      • GETList Device Registrations
      • POSTRegister Device for Push Notifications
      • GETGet a single Device Registration
      • DELDelete a Device Registration
      • GETList Push Notifications
      • POSTSend Push Notifications
      • GETFetch a Push Notification
      • GETList Push Notification Operations
      • GETFetch a Push Notification Operation
      • GETList Push Credentials
      • POSTCreate Push Credential
      • GETFetch a Push Credential
      • DELDelete a Push Credential
      • PATCHUpdate a Push Credential
      • GETList Push Notification Apps
      • GETFetch a Push Notification App
      • PATCHUpdate a Push Notification App
      • GETList Users
      • GETFetch a User
      • DELDelete a User
LogoLogo
SDKsHelp CenterLog inSign up
Comms API ReferencePush Notifications

Register Device for Push Notifications

POST
https://comms.twilio.com/preview/PushNotifications/DeviceRegistrations
POST
/preview/PushNotifications/DeviceRegistrations
$curl -X POST 'https://comms.twilio.com/preview/PushNotifications/DeviceRegistrations' \
>--header 'Content-Type: application/json' \
>--data '{
> "userId": "comms_pushnotificationuser_01h9krwprkeee8fzqspvwy6nq8",
> "appName": "limonade_app",
> "token": "token",
> "provider": "FCM"
>}'\
>-u $TWILIO_ACCOUNT_SID:$TWILIO_AUTH_TOKEN
1{
2 "resourceId": "comms_device_registration_01h9krwprkeee8fzqspvwy6nq8",
3 "resourceLocation": "https://comms.twilio.com/v1/PushNotifications/DeviceRegistrations/comms_device_registration_01h9krwprkeee8fzqspvwy6nq8"
4}
This operation registers the push notifications token of the device/browser to the Registration set of a User with the corresponding `appName`. * If a User ID is not provided, a new User is created. * If a User ID is provided and the User exists, the device is registered to the User.
Was this page helpful?
Previous

Get a single Device Registration

Next
Built with

This operation registers the push notifications token of the device/browser to the Registration set of a User with the corresponding appName.

  • If a User ID is not provided, a new User is created.

  • If a User ID is provided and the User exists, the device is registered to the User.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Request

This endpoint expects an object.
appNamestringRequiredformat: "^[a-z0-9_]+$"1-64 characters

The name of the App to register the device for.

If the appName does not match the name of any existing Push Notification App, the operation will fail.

tokenstringRequired
The device token to register for push notifications.
providerenumRequired
Push notification service provider.
Allowed values:
userIdstringOptionalformat: "^comms_pushnotificationuser_[0-7][a-hjkmnpqrstv-z0-9]{25,34}"
The ID of the User to register the device to, if available.

Response headers

Locationstring

The location (uri) of the resource identified by Resource-Id.

Response

The request was accepted and a resource ID is available to check the result. The response body contains the resource ID and link to the resource.
resourceIdstring
The Resource ID is an identifier for the resource that was created or updated in response to the request.
resourceLocationstringformat: "uri"

The location (uri) of the resource identified by Resource-Id.

Errors

400
Bad Request Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error